Issue in upgrading Joomla 3.0.3

Need help upgrading your Joomla! website or converting to Joomla! 3.x? Please consider the availability of third-party templates and extensions when deciding which Joomla version to use.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
dutchroth
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Sat Jul 13, 2013 5:23 pm

Issue in upgrading Joomla 3.0.3

Postby dutchroth » Mon Dec 11, 2017 3:44 pm

My Joomla site does not work as my hosting provider moved to pHP 7.
I have replicated my Joomla site on a local XAMPP server .
The Joomla version used in that site is Joomla 3.0.3 .
When I am using the Joomla Update funtion in the Components meny,

I get the following error messages :

1) Warning: Header may not contain more than a single header, new line detected in C:\xampp\htdocs\joomla_old\libraries\joomla\environment\response.php on line 135

Searching the site - it looks that this is a wanring and not the real problem


2) SQL=INSERT INTO `xxxx_updates` (`update_site_id`,`name`,`description`,`element`,`type`,`folder`,`client_id`,`version`,`detailsurl`,`infourl`) VALUES ('3','Armenian','','pkg_hy-AM','package','','0','3.4.4.1','https://update.joomla.org/language/details3/hy-AM_details.xml','')
I have manually added this language version to the database - but that does not solve the problem .
The same message returns.


What can I do to update the site to Joomla 3.8 ?

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 18713
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Issue in upgrading Joomla 3.0.3

Postby leolam » Mon Dec 11, 2017 4:08 pm

Set error reporting to "none" in global configuration. Than these warnings won't show. These have no effect on functioning of your website. Next download from downloads.joomla.org version Joomla 3.5.1 https://downloads.joomla.org/cms/joomla ... ackage-zip and upload to your site through the Joomla update component--> upload and install manually tab and install. After this you can upgrade tro Joomla 3.8.2

Leo 8)
Celebrating 12-Years of Professional Joomla Support Services
- Joomla Professional Support:https://gws-desk.com -
- Joomla Specialized Hosting Solutions:https://gws-host.com -
- Member Joomla Bug Squad & J-CMS Release Team

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 34012
Joined: Sat Apr 05, 2008 9:58 pm

Re: Issue in upgrading Joomla 3.0.3

Postby Webdongle » Mon Dec 11, 2017 6:16 pm

You probably have not moved the site accurately

Also Wamp might be a better localhost as you can change php version on the fly.

dutchroth
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Sat Jul 13, 2013 5:23 pm

Re: Issue in upgrading Joomla 3.0.3

Postby dutchroth » Sun Jan 07, 2018 9:59 pm

leolam wrote:Set error reporting to "none" in global configuration. Than these warnings won't show. These have no effect on functioning of your website. Next download from downloads.joomla.org version Joomla 3.5.1 https://downloads.joomla.org/cms/joomla ... ackage-zip and upload to your site through the Joomla update component--> upload and install manually tab and install. After this you can upgrade tro Joomla 3.8.2

Leo 8)


Leo,
thanks for the feedback - after some problems with XAMPP and holidays, I back again on the problem
I have set the error reporting to none in the global configurations, but the same error message comes up.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 34012
Joined: Sat Apr 05, 2008 9:58 pm

Re: Issue in upgrading Joomla 3.0.3

Postby Webdongle » Mon Jan 08, 2018 10:24 am

What php version is your xampp ?
Wampp is imho better as you can swap php versions.


Return to “Migrating and Upgrading to Joomla! 3.x”

Who is online

Users browsing this forum: No registered users and 6 guests